#ifndef PCIE40_B2DMA_H
#define PCIE40_B2DMA_H
// Header file for Belle 2 ECS functions with PCIe40
#include "altera_dma_regs.h"

// Constants
// BAR number for Slow control interface
#define DMA_BAR 2
// Address of the register to reset the write FIFO and bit to use
#define DMA_BUFFER_RESET_ADD 0x00050100
#define DMA_BUFFER_RESET_BIT 8

/// reset address of DMA buffer
int pcie40_b2dmabufferreset(int fd);

/// read entire DMA buffer
int pcie40_b2dmabufferread(int fd , unsigned int result[]);

/// read pointer to DMA
int pcie40_b2dmapointerread(int fd , unsigned int ** pData );
#endif // PCIE40_B2DMA_H
